<?php

namespace app\modules\meeting\models;

use Yii;

/**
 * This is the model class for manage
 *
 */
class Manage extends \yii\base\Model
{
    const SCENARIO_PROGRESS = 'progress';
    const SCENARIO_START = 'start';
    
    public $table_id = null;
    public $sit_id = null;
    public $device_ip = null;

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['sit_id'], 'required', 'on' => [self::SCENARIO_PROGRESS, self::SCENARIO_START]],
            [['device_ip'], 'required', 'on' => [self::SCENARIO_START]],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'sit_id' => 'Sit ID',
            'table_id' => 'Table ID',
        ];
    }
}
